> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get Paused Incident Reporting counts

`GET https://api.pagerduty.com/paused_incident_reports/counts`

Returns reporting counts for paused Incident usage for a given reporting period (maximum 6 months lookback period).  Note: This feature is currently available as part of the Event Intelligence package or Digital Operations plan only.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#paused-incident-reports)

Scoped OAuth requires: `incidents.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `since` | string (date-time) |  | The start of the date range over which you want to search. |
| `until` | string (date-time) |  | The end of the date range over which you want to search. |
| `service_id` | string |  | Specifies a filter to limit the scope of reporting to a particular service. |
| `suspended_by` |  |  | Specifies a filter to scope the response to either alerts suspended by Auto Pause or Event Rules. One of: `auto_pause`, `rules`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

Paused Incident Reporting counts for the Account or scoped to a Service.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `paused_incident_reporting_counts` | object |  | A representation of Alerts that were paused, triggered after pause, and resolved after pause. |
| `paused_incident_reporting_counts.since` | string |  | The start of the date range over which the report data is represented. |
| `paused_incident_reporting_counts.until` | string |  | The end of the date range over which the report data is represented. |
| `paused_incident_reporting_counts.paused_count` | number |  | The total number of paused Alerts for the Account or Servce. |
| `paused_incident_reporting_counts.triggered_after_pause_count` | number |  | The total number of paused Alerts for the Account or Service that were triggerd after being paused (non-transient Alerts). |
| `paused_incident_reporting_counts.resolved_after_pause_count` | number |  | The total number of paused Alerts for the Account or Service that were resolved after being paused and not triggered (transient Alerts). |

Example: Response Example

```json
{
  "paused_incident_reporting_counts": {
    "since": "2021-06-01TT13:08:14Z",
    "until": "2021-08-01T13:08:14Z",
    "paused_count": 50,
    "triggered_after_pause_count": 12,
    "resolved_after_pause_count": 38
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
